PAIR_ALIGN(1)

NAME
pair_align - Pairwise alignment

SYNOPSIS
pair_align [OPTIONS] -s IN

DESCRIPTION
The program allows one to align two sequences using dyamic programming alignment algorithms while tweaking various parameters.

OPTIONS

-h, --help
    Display the help message.

--version
    Display version information.

  Main Options:

-s, --seq INPUT_FILE
    FASTA file with two sequences. Valid filetypes are: .frn, .fna, .ffn, .fasta, .faa, and .fa.

-a, --alphabet STRING
    Sequence alphabet. One of protein, dna, rna, and text. Default: protein.

-m, --method STRING
    DP alignment method: Needleman-Wunsch, Gotoh, Smith-Waterman, Longest Common Subsequence One of nw, gotoh, sw, and lcs. Default: gotoh.

-o, --outfile OUTPUT_FILE
    Output filename. Valid filetypes are: .msf, .frn, .fna, .ffn, .fasta, .faa, and .fa. Default: out.fasta.

  Scoring Options:

-g, --gop INTEGER
    Gap open penalty. Default: -11.

-e, --gex INTEGER
    Gap extension penalty. Default: -1.

-ma, --matrix STRING
    Score matrix.

-ms, --msc INTEGER
    Match score. Default: 5.

-mm, --mmsc INTEGER
    Mismatch penalty. Default: -4.

  Banded Alignment Options:

-lo, --low INTEGER
    Lower diagonal.

-hi, --high INTEGER
    Upper diagonal.

  DP Matrix Configuration Options:

-c, --config STRING
    Alignment configuration. One of ffff, ffft, fftf, fftt, ftff, ftft, fttf, fttt, tfff, tfft, tftf, tftt, ttff, ttft, tttf, and tttt.

ALIGNMENT CONFIGURATION
The alignment configuration is a string of four characters, each being either t or f. All combinations are allowed. The meaning is as follows.

tfff
    First row initialized with 0s.

ftff
    First column initialized with 0s.

fftf
    Search last column for maximum.

ffft
    Search last row for maximum.